// material-ui
import * as React from "react";
// import * as HttpUtils from "utils/HttpUtils";
// import * as UrlUtils from "utils/ApiPathConst";
// import * as DateUtils from "utils/DateUtils";
// import * as FormatUtils from "utils/FormatUtils";

import {
    Grid
} from '@mui/material';

import Loadable from 'components/Loadable';
import { lazy } from 'react';
import usePageTitle from "components/usePageTitle";
const LoadingComponent = Loadable(lazy(() => import('../../extra-pages/LoadingComponent')));
const ForgotUsernameApplyForm = Loadable(lazy(() => import('./ForgotUsernameApplyForm')));


// ==============================|| DASHBOARD - DEFAULT ||============================== //

const ApplyForm = () => {
    // Localized document title/meta for forgot username
    usePageTitle("forgotUsername");
    // const [userData, setUserData] = React.useState(null);
    // const [selections, setSelection] = React.useState([]);
    const [isLoading, setLoding] = React.useState(true);

    React.useEffect(() => {
        loadUserData();
    }, []);

    const loadUserData = () => {
        setLoding(false);
    };

    return (
        isLoading ?
            <Grid container sx={{ minHeight: '87vh', mb: 3 }} direction="column" justifyContent="center" alignItems="center">
                <Grid item>
                    <LoadingComponent />
                </Grid>
            </Grid>
            :
            <ForgotUsernameApplyForm />
    );
};


export default ApplyForm;
